AKAIO 1.6 + MShell 2.06

Discussion in 'NDS - Emulation and Homebrew' started by killajackson, Mar 20, 2010.

Mar 20, 2010

AKAIO 1.6 + MShell 2.06 by killajackson at 11:42 PM (2,765 Views / 0 Likes) 10 replies

  1. killajackson
    OP

    Newcomer killajackson Advanced Member

    Joined:
    Apr 7, 2009
    Messages:
    73
    Country:
    Canada
    Hi,

    I've been away from the DS(i) scene for a while and I just checked back in the other day. I upgraded to AKAIO 1.6 and have been reading about ROM loading using Moonshell => 2.07, but it's more confusing than it was for 2.06. Anyways, sorry if this is a repeat thread and I've tried to get caught up, but there is a lot of information to search for and digest.

    Too my questions:
    I have Normmatt's loader for Moonshell 2.06, but after upgrading to AKAIO 1.6, commercial ROM loading through MS2.06 no longer works. I'm assuming this has to do with the new loaders in 1.6? If so, is the only way to run roms through MS2 with AKAIO 1.6 by using Xenon++'s method (http://gbatemp.net/index.php?showtopic=208136)? If this is the only way, does it work with 2.10 or just up to 2.09?

    Thanks!
     
  2. jurassicplayer

    Member jurassicplayer Completionist Themer

    Joined:
    Mar 7, 2009
    Messages:
    4,280
    Location:
    Pantsuland
    Country:
    United States
  3. twiztidsinz

    Member twiztidsinz Taiju Yamada Fan

    Joined:
    Dec 23, 2008
    Messages:
    4,981
    Country:
    United States
    It's no longer difficult to load commercial ROMs on Moonshell 2.08/2.09 thanks to Normmatt's cracked Overlay.dll and Xenon++'s YSLoader.
     
  4. killajackson
    OP

    Newcomer killajackson Advanced Member

    Joined:
    Apr 7, 2009
    Messages:
    73
    Country:
    Canada
    I read that. It's with AKAIO 1.5. I want to know if what to use to get loading working on 1.6 and if it'll work with MS 2.10 (because my old 2.06 loader doesn't work with 1.6).
     
  5. killajackson
    OP

    Newcomer killajackson Advanced Member

    Joined:
    Apr 7, 2009
    Messages:
    73
    Country:
    Canada
    I'm using AKAIO 1.6 and Normmatt's loaders don't work with it (it sounds like the overlay thing works, but the actual nds loader thing you put in the exit link folder doesn't work on 1.6). Xenon++'s loader instructions look complicated and there are like 8 links on the page (also, does it work with 2.10?). If that's the best way, I'll try and figure it out though.
     
  6. jurassicplayer

    Member jurassicplayer Completionist Themer

    Joined:
    Mar 7, 2009
    Messages:
    4,280
    Location:
    Pantsuland
    Country:
    United States
    xD You have to read it carefully. Cannonfoddr states that since the loaders for 1.6rc1 are encrypted differently (stupid people that cracked akaio 1.5 get bit in the backside xD), none of the current extlinks for akaio loaders work with the new revision of akaio. If you continue reading, you will find that the overlay.dll works with everything up to 2.10beta9 and so if you want the functions of 2.10 stable and have the overlay.dll, you should use 2.10beta9. So the best there is at the moment is stated in his post.
     
  7. killajackson
    OP

    Newcomer killajackson Advanced Member

    Joined:
    Apr 7, 2009
    Messages:
    73
    Country:
    Canada
    Thanks for clarifying. I misunderstood when I was reading it. I'll have to read it in more detail. So the loaders don't work with 1.6, but the overlay makes it possible to use 1.6 and MS 2.10b9? Or do I need AK1.5 and then I can use MS 2.10b9? Anyways, thanks again. Looks like I just need to spend some more time reading and trying out some things.
     
  8. 798-Icebird

    Newcomer 798-Icebird Advanced Member

    Joined:
    Aug 13, 2009
    Messages:
    76
    Location:
    Gouda
    Country:
    Netherlands
    We still need AK1.5 if we want to load commercial roms trough a extlink. [​IMG] But if you really want to use ak1.6, you can use the exit to firmware and start the game in akaio. (you can turn autoboot on if you only play 1 game atm) [​IMG]
     
  9. CannonFoddr

    Member CannonFoddr Regular GBATemp Lurker

    Joined:
    Sep 23, 2006
    Messages:
    4,106
    Location:
    Sitting by computer
    Country:
    United Kingdom
    Hee He... just popped in & found out my guide IS being helpful
    Sorry about it being a little too confusing - I did try & make thing as simple as possible (need more work though it seems)

    Bottom line: Currently there is no way to get Moonshell2 (whatever version) to run Commercial Roms using AKAIO 1.6RC1 with what's been released in the forums so far
    (although I'd admit I've not tried Xenon++ 'NDSLINK' method with AKAIO 1.6 - because I don't really like the idea of having to run a *.bat file every time I add a game)

    The best combo I think you'll be able to get would be Moonshell 2.1 WITHOUT Commecial ROM loading, and having to 'reset to Firmware' (or run a renamed AKAIO 1.6RC1 'ak4menu.nds') to use AKAIO 1.6RC1 to run games BUT if you WANT to run Commercial ROM's through Moonshell - then you're stuck with Moonshell 2.1beta9 and AKAIO 1.5.1

    Hope that makes it a little clearer
    (BTW I've added the bold bit above about MS and AKAIO to my guide now)
     
  10. killajackson
    OP

    Newcomer killajackson Advanced Member

    Joined:
    Apr 7, 2009
    Messages:
    73
    Country:
    Canada
    Thanks Cannon!! That cleared it up for me, and your guide is totally clear now. These things are simple if you stay up on them, but as soon as you leave for a few months or so and new things come out, you feel totally lost again and need to start reading [​IMG]

    I would try Xenon's guide and see if it works with 1.6, but the package is large and the guide confuses me.

    For the exit to firmware, do I just copy another ak4menu.nds into the resetme folder or whatever it is? I can't remember how I did it on my MS 2.06. Thanks again!
     
  11. CannonFoddr

    Member CannonFoddr Regular GBATemp Lurker

    Joined:
    Sep 23, 2006
    Messages:
    4,106
    Location:
    Sitting by computer
    Country:
    United Kingdom
    My package is already setup for 'reset to firmware' - it IS just a copy of akmenu4.nds, renamed & placed in the resetmse folder of moonshell
     

Share This Page